DO $$
    DECLARE
        _path character varying(256) := 'patch-2026_01_20-EmailAttachments';
    BEGIN
        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
            RETURN;
        END IF;

        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Build" >= 15983) THEN
            RETURN;
        END IF;

        BEGIN
 

	ALTER TABLE public."EmailAttachments" ADD "FileName2" text;


	UPDATE public."EmailAttachments" SET "FileName2"="FileName";
	ALTER TABLE public."EmailAttachments" RENAME "FileName" TO "FileNameOld";
	ALTER TABLE public."EmailAttachments" RENAME "FileName2" TO "FileName";
	ALTER TABLE public."EmailAttachments" DROP COLUMN IF EXISTS "FileNameOld";

            INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

        EXCEPTION
            WHEN OTHERS THEN
                RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
        END;

    END;
$$;